org.jfree.chart.util

## Class ParamChecks

- java.lang.Object
- - org.jfree.chart.util.ParamChecks

    public class ParamChecks
    extends java.lang.Object

A utility class for checking parameters.

Since:
  1.0.14

### Constructor Summary

Constructors
Constructor and Description
`ParamChecks()`

### Method Summary

Methods
`static void` `nullNotPermitted(java.lang.Object param, java.lang.String name)` Throws an `IllegalArgumentException` if the supplied `param` is `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParamChecks

    public ParamChecks()

### Method Detail

#### nullNotPermitted

    public static void nullNotPermitted(java.lang.Object param,
                        java.lang.String name)

Throws an `IllegalArgumentException` if the supplied `param` is `null`.

Parameters:
  `param` - the parameter to check (`null` permitted).
  `name` - the name of the parameter (to use in the exception message if `param` is `null`).
Throws:
  `java.lang.IllegalArgumentException` - if `param` is `null`.
Since:
  1.0.14